# Method: drives.get

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v3/drives/get#try-it)

Gets a shared drive's metadata by ID. For more information, see [Manage shared drives](https://developers.google.com/workspace/drive/api/guides/manage-shareddrives).

### HTTP request

`GET https://www.googleapis.com/drive/v3/drives/{driveId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `driveId` | `string` The ID of the shared drive. |

### Query parameters

| Parameters ||
|---|---|
| `useDomainAdminAccess` | `boolean` Issue the request as a domain administrator; if set to true, then the requester will be granted access if they are an administrator of the domain to which the shared drive belongs. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v3/drives#Drive`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.readonly`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).